Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059942 (ghc-network) - Review Request: ghc-network - Network library
Summary: Review Request: ghc-network - Network library
Keywords:
Status: CLOSED ERRATA
Alias: ghc-network
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On: ghc-parsec
Blocks: ghc-HTTP
TreeView+ depends on / blocked
 
Reported: 2014-01-31 02:34 UTC by Jens Petersen
Modified: 2014-05-05 03:07 UTC (History)
3 users (show)

Fixed In Version: ghc-network-2.4.1.2-31.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-18 01:09:52 UTC
relrod: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2014-01-31 02:34:16 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-network.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-network-2.4.1.2-30.fc18.src.rpm

Description:
Low-level networking interface.

Comment 1 Jens Petersen 2014-01-31 02:34:27 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6474395

Comment 2 Jens Petersen 2014-01-31 02:45:45 UTC
This is a re-review to pull network out of the haskell-platform package.
(See bug 523884.)

network has close to 600 reverse dependencies in Hackage:
http://packdeps.haskellers.com/reverse/network

Comment 3 Jens Petersen 2014-01-31 02:49:48 UTC
(This also brings us within one more library (HTTP) of the milestone
to repackage cabal-install out of haskell-platform.:)

Comment 4 Rick Elrod 2014-03-17 03:01:25 UTC
Package APPROVED.

Name conflict will be resolved when this is un-subpackaged from haskell-platform.

Review follows:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-network-2.4.1.2-30.fc20.x86_64.rpm
          ghc-network-devel-2.4.1.2-30.fc20.x86_64.rpm
          ghc-network-2.4.1.2-30.fc20.src.rpm
ghc-network.src: W: strange-permission network-2.4.1.2.tar.gz 0444L
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-network-devel ghc-network
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-network-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc-network(x86-64)

ghc-network (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-network-devel:
    ghc-devel(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc-network-devel
    ghc-network-devel(x86-64)
    ghc-network-static

ghc-network:
    ghc(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc-network
    ghc-network(x86-64)
    libHSnetwork-2.4.1.2-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-network: /usr/lib64/ghc-7.6.3/network-2.4.1.2/libHSnetwork-2.4.1.2-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/network/2.4.1.2/network-2.4.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : b04dc56542428bc92f11263f500b3ad82e6a0787805601472d59af7e769bfe38
  CHECKSUM(SHA256) upstream package : b04dc56542428bc92f11263f500b3ad82e6a0787805601472d59af7e769bfe38


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1059942
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Jens Petersen 2014-03-17 03:28:20 UTC
Thank you for reviewing!


Package Change Request
======================
Package Name: ghc-network
New Branches: f20 f19 epel7
Owners: petersen
InitialCC: haskell-sig

Comment 6 Gwyn Ciesla 2014-03-17 11:48:44 UTC
Git done (by process-git-requests).

Comment 7 Jens Petersen 2014-03-18 01:09:52 UTC
Built for F21 Rawhide.  I will backport later to F20.

Comment 8 Fedora Update System 2014-03-30 09:58:59 UTC
ghc-async-2.0.1.4-30.fc20, ghc-html-1.0.1.2-28.fc20, ghc-HTTP-4000.2.8-32.fc20, ghc-HUnit-1.2.5.2-31.fc20, ghc-network-2.4.1.2-31.fc20, ghc-parsec-3.1.3-30.fc20, ghc-QuickCheck-2.6-32.fc20, ghc-regex-base-0.93.2-28.fc20, ghc-regex-posix-0.95.2-29.fc20, ghc-transformers-0.3.0.0-33.fc20, haskell-platform-2013.2.0.0-33.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-async-2.0.1.4-30.fc20,ghc-html-1.0.1.2-28.fc20,ghc-HTTP-4000.2.8-32.fc20,ghc-HUnit-1.2.5.2-31.fc20,ghc-network-2.4.1.2-31.fc20,ghc-parsec-3.1.3-30.fc20,ghc-QuickCheck-2.6-32.fc20,ghc-regex-base-0.93.2-28.fc20,ghc-regex-posix-0.95.2-29.fc20,ghc-transformers-0.3.0.0-33.fc20,haskell-platform-2013.2.0.0-33.fc20

Comment 9 Fedora Update System 2014-05-02 20:58:57 UTC
ghc-async-2.0.1.4-30.fc20, ghc-html-1.0.1.2-28.fc20, ghc-HTTP-4000.2.8-32.fc20, ghc-HUnit-1.2.5.2-31.fc20, ghc-network-2.4.1.2-31.fc20, ghc-parsec-3.1.3-30.fc20, ghc-QuickCheck-2.6-32.fc20, ghc-regex-base-0.93.2-28.fc20, ghc-regex-posix-0.95.2-29.fc20, ghc-transformers-0.3.0.0-33.fc20, alex-3.0.5-36.fc20, cabal-install-1.16.0.2-34.fc20, ghc-parallel-3.2.0.3-34.fc20, ghc-regex-compat-0.95.1-34.fc20, ghc-syb-0.4.0-35.fc20, happy-1.18.10-34.fc20, haskell-platform-2013.2.0.0-36.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.